#ifndef SensorManager_h
#define SensorManager_h

#include "Arduino.h"
#include "SparkFun_BNO080_Arduino_Library.h"

class SensorManager {
public:
  SensorManager();
  void sensorSetup();
  struct eulerAngles {
    float roll;
    float pitch;
    float yaw;
  };
    struct acceleration {
    float x;
    float y;
    float z;
  };

  eulerAngles getEulerAngles();
  acceleration getAcelleration();
  bool sensorTap();

    struct RotationQuaternions {
    float i;
    float j;
    float k;
    float w;
  };
  RotationQuaternions getQuaternions();
  
private:

  BNO080 myIMU;
};

#endif